aboutsummaryrefslogtreecommitdiffstats
path: root/testing/flatpak/APKBUILD
diff options
context:
space:
mode:
authorAndré Klitzing <aklitzing@gmail.com>2017-03-10 21:22:56 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2017-03-14 14:50:36 +0000
commit40b4d47218c385db9d903b880d27a72043372860 (patch)
treea0307d371f6cad9b152d5ca97537326ec2cec136 /testing/flatpak/APKBUILD
parent82251a29667835e7e9f877ab39e392ae808f3dbd (diff)
downloadaports-40b4d47218c385db9d903b880d27a72043372860.tar.gz
aports-40b4d47218c385db9d903b880d27a72043372860.tar.bz2
aports-40b4d47218c385db9d903b880d27a72043372860.tar.xz
testing/flatpak: new aport
Diffstat (limited to 'testing/flatpak/APKBUILD')
-rw-r--r--testing/flatpak/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/testing/flatpak/APKBUILD b/testing/flatpak/APKBUILD
new file mode 100644
index 0000000000..a037d95581
--- /dev/null
+++ b/testing/flatpak/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: André Klitzing <aklitzing@gmail.com>
+# Maintainer: André Klitzing <klitzing@gmail.com>
+
+pkgname=flatpak
+pkgver=0.8.4
+pkgrel=0
+pkgdesc="Application deployment framework for desktop apps"
+url="http://flatpak.org"
+arch="all"
+license="GPL"
+depends="bubblewrap"
+makedepends="glib-dev libarchive-dev libsoup-dev elfutils-dev libdwarf-dev
+ libcap-dev polkit-dev libxau-dev ostree-dev fuse-dev json-glib-dev
+ libseccomp-dev libxslt-dev bubblewrap"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://github.com/flatpak/flatpak/releases/download/$pkgver/flatpak-$pkgver.tar.xz
+ musl-fixes.patch"
+options="!check suid"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/$pkgname \
+ --disable-static \
+ --disable-documentation \
+ --with-priv-mode=setuid \
+ --with-dwarf-header=/usr/include/libdwarf \
+ --with-system-bubblewrap \
+ || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+sha512sums="6981c8edcd387ecab5d2c2f6008a6463a3be51186c6c36d9f0fc437795334c51d96af99f54e776261c2220a6473295a98b44e0507a7077ea7381924fcb4561a4 flatpak-0.8.4.tar.xz
+7c37149149c902dcb64eae616e7a5dde188aa2ea3d614c5c79ba5d3c61de1dc5d8ff9112ce7618b9405816b5e5795b4007d6cb095076ef59bf0df536db846e9f musl-fixes.patch"